Subject: Re: XFRM: Could we change ESP padding?

From: Steffen Klassert <[email-masked]>
Date: Mon, 17 Dec 2012 08:25:44 +0100

On Mon, Dec 17, 2012 at 02:56:47PM +0800, RongQing Li wrote:
> 2012/12/17 Steffen Klassert <[email-masked]>:
> >
> > RFC 4303 says that the receiver should inspect the padding field,
> > so we are free to do it or not. You can find a comment that explains
> > why we don't do it in the esp_input_done2() function ;-)
> >
> Thanks.
> 
> But I see BSD has implemented it, and cisco device has similar implmentation.
> 

The comment at the place where the padding field inspection should be done
is rather old. I always respected this when I came accross this code, but
I would not mind to have it implemented. Not sure if somebody still
remembers exactly why it was not implemented.